Subject: Re: bug#53126: 29.0.50; [PATCH] Lazy highlight/count when reading query-replace string, etc.

From: Augusto Stoffel <[email-masked]>
Date: Thu, 17 Mar 2022 22:42:46 +0100

On Thu, 17 Mar 2022 at 22:40, Juri Linkov <[email-masked]> wrote:

>> Of course there should an option, maybe occur-lazy-highlight.  This is
>> why isearch.el itself should _not_ contain a customization option called
>> `minibuffer-lazy-highlight': each use (or group of uses) of this
>> functionality should define their own customization option.
>
> This means dozens of new options for every possible command that uses
> the minibuffer: occur-lazy-highlight, keep-lines-lazy-highlight,
> flush-lines-lazy-highlight, kill-matching-lines-lazy-highlight,
> copy-matching-lines-lazy-highlight, how-many-lazy-highlight, ...

I'd say one option that applies to this whole group of commands that
work on lines.  If we can find a good name for this variable, it
probably means this a good idea :-)